Package com.google.android.exoplayer2.metadata.id3

## Class MlltFrame

- java.lang.Object
- - com.google.android.exoplayer2.metadata.id3.Id3Frame
  - - com.google.android.exoplayer2.metadata.id3.MlltFrame

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class MlltFrame
      extends Id3Frame

  MPEG location lookup table frame.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `bytesBetweenReference` |
    `int[]` | `bytesDeviations` |
    `static Parcelable.Creator<MlltFrame>` | `CREATOR` |
    `static String` | `ID` |
    `int` | `millisecondsBetweenReference` |
    `int[]` | `millisecondsDeviations` |
    `int` | `mpegFramesBetweenReference` |

    - ### Fields inherited from class com.google.android.exoplayer2.metadata.id3.Id3Frame

      `id`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MlltFrame​(int mpegFramesBetweenReference, int bytesBetweenReference, int millisecondsBetweenReference, int[] bytesDeviations, int[] millisecondsDeviations)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.id3.Id3Frame

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### mpegFramesBetweenReference

          public final int mpegFramesBetweenReference

    - #### bytesBetweenReference

          public final int bytesBetweenReference

    - #### millisecondsBetweenReference

          public final int millisecondsBetweenReference

    - #### bytesDeviations

          public final int[] bytesDeviations

    - #### millisecondsDeviations

          public final int[] millisecondsDeviations

    - #### CREATOR

          public static final Parcelable.Creator<MlltFrame> CREATOR

  - ### Constructor Detail

    - #### MlltFrame

          public MlltFrame​(int mpegFramesBetweenReference,
                           int bytesBetweenReference,
                           int millisecondsBetweenReference,
                           int[] bytesDeviations,
                           int[] millisecondsDeviations)

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`
      Overrides:
        `describeContents` in class `Id3Frame`